Bug 475360 - jakarta-commons-lang: new version needed
jakarta-commons-lang: new version needed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jakarta-commons-lang (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 17:48 EST by Jerry James
Modified: 2010-02-03 17:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-03 17:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update SPEC and SOURCE files for jakarta-commons-lang-2.4 (7.53 KB, application/octet-stream)
2009-04-30 12:45 EDT, Jerry James
no flags Details

  None (edit)
Description Jerry James 2008-12-08 17:48:35 EST
Description of problem:
I submitted findbugs 1.3.5 (see http://findbugs.sourceforge.net/) for inclusion in Fedora a little while ago.  While trying to update my submission to findbugs 1.3.6, I discovered that a dependency on jakarta-commons-lang version 2.4 has been added.  The documentation explicitly requires version 2.4.  Version 2.3 is currently available in Fedora.  Is an update possible?

Version-Release number of selected component (if applicable):
jakarta-commons-lang-2.3-2.3.fc10.x86_64

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
N/A

Expected results:
N/A

Additional info:
Comment 1 Jerry James 2009-04-30 12:45:34 EDT
Created attachment 341956 [details]
Update SPEC and SOURCE files for jakarta-commons-lang-2.4

I am attaching a tar file that contains an updated spec file, and some updates to a few of the SOURCE files that are needed to build jakarta-commons-lang version 2.4.  Please take a look and let me know if an update can be made.  Thank you.
Comment 2 Bug Zapper 2009-06-09 06:11:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jerry James 2009-08-24 18:59:53 EDT
I still need this.
Comment 4 Jerry James 2009-09-03 10:39:09 EDT
Permaine, may I comaintain or maintain this package?  As per http://fedoraproject.org/wiki/Package_maintainer_policy#What_to_do_if_a_Maintainer_is_absent, please respond within 7 days.
Comment 5 Permaine Cheung 2009-09-08 10:52:23 EDT
Hi,

Sorry that I haven't been able to work on this update. It would be great if you can comaintain or maintain the package.
What are the proper steps for setting you up? 
Are you currently a package maintainer?

Thanks,
Permaine
Comment 6 Jerry James 2009-09-09 11:12:11 EDT
I am a package maintainer already.  I'll apply for permissions in pkgdb.  Thanks!
Comment 7 Bug Zapper 2009-11-16 04:43:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jerry James 2010-02-03 17:22:07 EST
It took me long enough, but I just built version 2.4 in Rawhide.  I've been trying to figure out how to build with maven all this time.  I solved most of the problems, but Fedora is still missing multiple POMs needed for the build.  Today I decided to punt and continue building with ant.  I'll close this bug, but let me know if anything breaks.

Note You need to log in before you can comment on or make changes to this bug.